## launchpad-dependencies 0.1breezy1

=== debian/changelog ===
launchpad-dependencies (0.1breezy1) breezy-updates; urgency=low

  * Upload to breezy-updates

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue,  8 Nov 2005 15:31:26 -0800

launchpad-dependencies (0.1) dapper; urgency=low

  * Initial release

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  2 Nov 2005 17:11:57 -0800
