## launchpad-dependencies 0.6

=== debian/changelog ===
launchpad-dependencies (0.6) dapper; urgency=low

  * Depend on pybaz not python2.4-bazaar, the latter does not exist.
  * Depend on python2.4-mechanize, a new dependency for launchpad since zope
    3.2.
  * Depend on python2.4-paramiko, a new dependency for launchpad since the
    supermirror code landed.
    (Closes Ubuntu: #37174)
  * Bump standards version to 3.6.2.0 - package is conformant already,
    eliminates a lintian warning. 

 -- Robert Collins <robertc@robertcollins.net>  Wed, 26 Apr 2006 09:47:11 +1000

launchpad-dependencies (0.5) dapper; urgency=low

  * Changes by Robert Collins:
    * Building the TAGS files requires exuberant-ctags specifically.
    (Closes Ubuntu: #29576)
    * gpgme-dev 1.1.0 fixes a test suite bug. 
    (Closes Ubuntu: #37122)
    * Launchpad now needs postgresql 8.1.
    (Closes Ubuntu: #34279)

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 29 Mar 2006 09:26:03 -0800

launchpad-dependencies (0.4) dapper; urgency=low

  * Go back to postgresql 8.0 for now

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 22 Nov 2005 14:45:49 -0800

launchpad-dependencies (0.3) dapper; urgency=low

  * Update to postgresql 8.1, since postgresql 8.0 says it's obsolete

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 18 Nov 2005 10:24:30 -0800

launchpad-dependencies (0.2) dapper; urgency=low

  * Increment version number to make room for a version in breezy-updates

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue,  8 Nov 2005 15:28:37 -0800
