=== debian/control ===
Source: launchpad-dependencies
Section: misc
Priority: optional
Maintainer: Matt Zimmerman <mdz@ubuntu.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2.0

Package: launchpad-dependencies
Architecture: all
Depends: bzr, python2.4-dev, gettext, build-essential, ncompress, python2.4-psycopg, python-apt, python2.4-geoip, python2.4-profiler, python2.4-twisted, swig, libgpgme11-dev (>= 1.1.0), cvs, libsvn0, python2.4-svn, python2.4-subversion, python2.4-sqlite, ubuntu-keyring, python2.4-imaging, bison, exuberant-ctags, python2.4-paramiko, python2.4-mechanize
Recommends: launchpad-database-dependencies
Suggests: pybaz
Description: Metapackage for dependencies of Launchpad
 This package depends on all of the packages necessary to run the Launchpad
 application.

Package: launchpad-database-dependencies
Architecture: all
Depends: postgresql-8.1, postgresql-contrib-8.1, postgresql-plpython-8.1, postgresql-client-8.1
Description: Metapackage for Launchpad database packages
 This package depends on all of the packages necessary to run a Launchpad
 database.
