## launchpad-dependencies 0.133~185~ubuntu12.04.1

=== debian/changelog ===
launchpad-dependencies (0.133~185~ubuntu12.04.1) stretch; urgency=low

  * Auto build.

 -- Launchpad Package Builder <noreply@launchpad.net>  Thu, 10 May 2018 22:30:05 +0000

launchpad-dependencies (0.133) UNRELEASED; urgency=medium

  * Drop dependency of launchpad-developer-dependencies on python-lpbuildd;
    Launchpad now installs that in its virtualenv instead.
  * Drop dependencies on python-amqplib; Launchpad now uses amqp instead,
    and it's been installed in its virtualenv for ages.
  * python-codespeak-lib hasn't existed since maverick.  Drop the
    alternative and just use python-py instead.
  * Drop dependencies on python-feedparser, python-paramiko, python-openid,
    python-openssl, python-lxml, and python-pygments, all of which Launchpad
    gets from its virtualenv instead.
  * Drop dependencies on python-chardet, python-magic,
    python-egenix-mxdatetime, and python-egenix-mxtools, unused by
    Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 May 2018 23:04:59 +0100

launchpad-dependencies (0.132) xenial; urgency=medium

  * Add libffi-dev and libssl-dev to launchpad-dependencies, for pyOpenSSL.
  * Add a new launchpad-frontend-dependencies metapackage, currently
    equivalent to launchpad-dependencies plus nodejs; this should be
    sufficient to run "make build", which builds Launchpad's JavaScript code
    as well as its Python code.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Oct 2017 01:14:28 +0100

launchpad-dependencies (0.131) xenial; urgency=medium

  * Add gnupg to launchpad-dependencies, just in case it's dropped from
    minimal in favour of gnupg2 in future.
  * Default to PostgreSQL 9.6.
  * Add nodejs to launchpad-developer-dependencies (see
    https://code.launchpad.net/~cjwatson/launchpad/yarn/+merge/327823).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 01 Oct 2017 10:25:43 -0400

launchpad-dependencies (0.130) precise; urgency=medium

  * Drop PostgresQL 9.4, add 9.5 and 9.6 to match Ubuntu series support.
  * pgbouncer 1.6 includes DISABLE/ENABLE support, so allow it in place of
    pgbouncer-with-disconnect.

 -- William Grant <wgrant@ubuntu.com>  Mon, 14 Nov 2016 16:56:55 +1100

launchpad-dependencies (0.129) precise; urgency=medium

  * Add git to launchpad-dependencies, in preparation for switching the
    codebase to git.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Sep 2016 12:05:13 +0100

launchpad-dependencies (0.128) precise; urgency=medium

  * No-change version bump to work around buggy recipe versioning.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 May 2016 12:42:26 +0100

launchpad-dependencies (0.127) precise; urgency=medium

  * Drop germinate and python-germinate dependencies; this is now only used
    by the separate lp:ubuntu-archive-publishing scripts, and they no longer
    rely on packages for that.
  * Add libsodium-dev to launchpad-dependencies, in preparation for
    pymacaroons.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 May 2016 12:11:52 +0100

launchpad-dependencies (0.126) precise; urgency=medium

  * Depend on virtualenv (for >= vivid) or python-virtualenv (<< 1.11.6)
    (for earlier releases).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Nov 2015 12:43:00 +0000

launchpad-dependencies (0.125) precise; urgency=medium

  * Drop apt-utils/python-apt versioned dependency substvars. precise is the
    oldest supported series and it has the right version.
  * Default to PostgreSQL 9.3, drop 9.1, add 9.4.
  * Drop python2.6 option. 2.7 is all that is supported.
  * Packaging cleanups:
    - Upgrade Standards-Version to 3.9.5.
    - Switch Section to metapackages.
    - Use a minimal dh debian/rules.
    - Fix lintian warnings.

 -- William Grant <wgrant@ubuntu.com>  Thu, 28 Aug 2014 22:07:54 +1000

launchpad-dependencies (0.124) precise; urgency=low

  * Add subversion to launchpad-dependencies, as trusty's python-subversion no
    longer pulls it in.

 -- William Grant <wgrant@ubuntu.com>  Fri, 17 Jan 2014 01:49:58 +0000

launchpad-dependencies (0.123) precise; urgency=medium

  * Optionally support PostgreSQL 9.3.
  * Depend on libgettextpo-dev in addition to gettext. gettext-po.h has moved
    to libgettextpo-dev in trusty, while gettext provides it in earlier
    versions.

 -- William Grant <wgrant@ubuntu.com>  Wed, 15 Jan 2014 18:43:02 +1100

launchpad-dependencies (0.122) precise; urgency=low

  * Add python-germinate to launchpad-soyuz-dependencies (LP: #899972).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 21 Sep 2013 09:51:42 +0100

launchpad-dependencies (0.121) precise; urgency=low

  * Promote python-convoy from -developer-dependencies to -dependencies.

 -- Steve Kowalik <stevenk@ubuntu.com>  Tue, 09 Apr 2013 16:04:30 +1000

launchpad-dependencies (0.120) precise; urgency=low

  * launchpad-dependencies now depends on lzma. dpkg no longer does in
    precise, but we still need to support it.

 -- William Grant <william.grant@canonical.com>  Wed, 28 Nov 2012 09:56:13 +1100

launchpad-dependencies (0.119) precise; urgency=low

  * Better dependency tracking og pgbouncer fork.

 -- Stuart Bishop (Work) <stuart.bishop@canonical.com>  Thu, 13 Sep 2012 16:48:59 +0700

launchpad-dependencies (0.118) precise; urgency=low

  * Force use of our patched pgbouncer while changes are pushed upstream.

 -- Stuart Bishop (Work) <stuart.bishop@canonical.com>  Thu, 13 Sep 2012 15:46:04 +0700

launchpad-dependencies (0.117) precise; urgency=low

  * Add unzip for extracting upstream YUI in build.

 -- Rick Harding <rick.harding@canonical.com>  Tue, 17 Jul 2012 14:33:31 -0400

launchpad-dependencies (0.116) precise; urgency=low

  * And dump psycopg2 on the floor, it's built using buildout.
  * Depend on libpq-dev explicitly.

 -- Steve Kowalik <stevenk@ubuntu.com>  Tue, 29 May 2012 23:11:57 +1000

launchpad-dependencies (0.115) precise; urgency=low

  * Force PostgreSQL 9.1.

 -- Stuart Bishop (Work) <stuart.bishop@canonical.com>  Tue, 29 May 2012 17:19:49 +0700


