=== debian/control ===
Source: launchpad-dependencies
Section: metapackages
Priority: optional
Maintainer: Launchpad package maintainers <launchpad@lists.canonical.com>
Build-Depends: debhelper (>= 7.0.0)
Standards-Version: 3.9.5

Package: launchpad-dependencies
Architecture: all
Depends: bzr, git, python-dev, gettext, libgettextpo-dev, build-essential,
  python-apt (>= 0.8.0ubuntu1), python-geoip,
  gnupg, libgpgme11-dev (>= 1.1.0), cvs, subversion, python-svn,
  python-subversion, python-sqlite, ubuntu-keyring,
  python-imaging,
  bison, graphviz,
  python-tickcount, libxml2-utils, patchutils,
  openssh-blacklist, openssh-client (>= 1:4.7p1-8ubuntu1.1), xsltproc,
  geoip-data | geoip-data-city-lite,
  python, python (>= 2.7),
  python-subunit (>= 0.0.4),
  python-pysqlite2, zlib1g-dev,
  ca-certificates, python-pyrex, libapr1-dev, libsvn-dev,
  openssh-client,
  python-gmpy, libpq-dev, unzip, lzma,
  python-convoy, virtualenv | python-virtualenv (<< 1.11.6),
  libsodium-dev, libffi-dev, libssl-dev,
  ${misc:Depends}
Recommends: launchpad-database-dependencies (= ${source:Version})
Suggests:
Description: Metapackage for dependencies of Launchpad
 This metapackage depends on all of the packages necessary to run the Launchpad
 application.

Package: launchpad-soyuz-dependencies
Architecture: all
Depends: launchpad-dependencies (= ${source:Version}), dpkg (>= 1.15.4),
  devscripts,
  apt-utils (>= 0.8.12),
  ${misc:Depends}
Description: Metapackage for Launchpad Soyuz packages
 This metapackage depends on all of the packages necessary to run Soyuz.

Package: launchpad-developer-dependencies
Architecture: all
Depends: launchpad-dependencies (= ${source:Version}),
  launchpad-database-dependencies (= ${source:Version}),
  launchpad-messagequeue-dependencies (= ${source:Version}),
  launchpad-soyuz-dependencies (= ${source:Version}),
  launchpad-frontend-dependencies (= ${source:Version}),
  exuberant-ctags, bzr-pqm, geoip-data-city-lite,
  pgbouncer (>= 1.6) | pgbouncer-with-disconnect, postgresql-autodoc, tidy,
  python-py,
  mhonarc, python-imaging (>= 1.1.7),
  fakeroot, rsync, memcached,
  xvfb, firefox, intltool, python-pocket-lint,
  python-html5-browser,
  ${misc:Depends}
Recommends: pyflakes, subunit, python-boto, bzr-lpreview-body,
  postgresql-doc-9.3
Suggests: apache2, python-pydoctor, libapache2-mod-wsgi
Description: Metapackage for development dependencies of Launchpad
 This metapackage depends on all of the packages required to do development
 for the Launchpad application.

Package: launchpad-database-dependencies
Architecture: all
Depends: launchpad-database-dependencies-9.6 | launchpad-database-dependencies-9.5 | launchpad-database-dependencies-9.3,
  slony1-2-bin,
  ${misc:Depends}
Description: Metapackage for Launchpad database packages
 This metapackage depends on all of the packages necessary to run a Launchpad
 database.

Package: launchpad-database-dependencies-9.3
Architecture: all
Depends: postgresql-9.3,
  postgresql-contrib-9.3,
  postgresql-plpython-9.3,
  postgresql-client-9.3,
  postgresql-9.3-slony1-2,
  postgresql-9.3-debversion,
  ${misc:Depends}
Description: Metapackage for Launchpad database packages
 This metapackage depends on all of the packages necessary to run a Launchpad
 database.

Package: launchpad-database-dependencies-9.5
Architecture: all
Depends: postgresql-9.5,
  postgresql-contrib-9.5,
  postgresql-plpython-9.5,
  postgresql-client-9.5,
  postgresql-9.5-slony1-2,
  postgresql-9.5-debversion,
  ${misc:Depends}
Description: Metapackage for Launchpad database packages
 This metapackage depends on all of the packages necessary to run a Launchpad
 database.

Package: launchpad-database-dependencies-9.6
Architecture: all
Depends: postgresql-9.6,
  postgresql-contrib-9.6,
  postgresql-plpython-9.6,
  postgresql-client-9.6,
  postgresql-9.6-slony1-2,
  postgresql-9.6-debversion,
  ${misc:Depends}
Description: Metapackage for Launchpad database packages
 This metapackage depends on all of the packages necessary to run a Launchpad
 database.

Package: launchpad-messagequeue-dependencies
Architecture: all
Depends: rabbitmq-server, stunnel4, ${misc:Depends}
Description: Metapackage for Launchpad messagequeue packages
 This metapackage depends on all of the packages necessary to run a Launchpad
 messagequeue server.

Package: launchpad-frontend-dependencies
Architecture: all
Depends: launchpad-dependencies (= ${source:Version}),
  nodejs,
  ${misc:Depends}
Description: Metapackage for Launchpad frontend dependencies
 This metapackage depends on all of the packages necessary to run a Launchpad
 frontend server, including building Launchpad's JavaScript.
